/*****************************************************************************
;
;   (C) Unpublished Work of ADMtek Incorporated.  All Rights Reserved.
;
;       THIS WORK IS AN UNPUBLISHED WORK AND CONTAINS CONFIDENTIAL,
;       PROPRIETARY AND TRADESECRET INFORMATION OF ADMTEK INCORPORATED.
;       ACCESS TO THIS WORK IS RESTRICTED TO (I) ADMTEK EMPLOYEES WHO HAVE A
;       NEED TO KNOW TO PERFORM TASKS WITHIN THE SCOPE OF THEIR ASSIGNMENTS
;       AND (II) ENTITIES OTHER THAN ADMTEK WHO HAVE ENTERED INTO APPROPRIATE
;       LICENSE AGREEMENTS.  NO PART OF THIS WORK MAY BE USED, PRACTICED,
;       PERFORMED, COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,
;       ABBRIDGED, CONDENSED, EXPANDED, COLLECTED, COMPILED, LINKED, RECAST,
;       TRANSFORMED OR ADAPTED WITHOUT THE PRIOR WRITTEN CONSENT OF ADMTEK.
;       ANY USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
;       SUBJECT THE PERPERTRATOR TO CRIMINAL AND CIVIL LIABILITY.
;
;------------------------------------------------------------------------------
;
;    Project : ADM5120
;    Creator : 
;    File    : include/asm/am5120/nor_map.h
;    Date    : 2003.08.30
;    Abstract: 
;
;Modification History:
; 
;
;*****************************************************************************/


#ifndef  __NOR_MAP_H__
#define  __NOR_MAP_H__

#include <linux/mtd/mtd.h>
#include <linux/mtd/map.h>
#include <linux/mtd/partitions.h>

#define FLASH_PHYS_ADDR             0x1FC00000
#define FLASH_SIZE 	                0x400000  

#define BOOTLOADER_SIZE 			0x4000
#define BOOTRESERVED_SIZE           0x10000

#define AM5120_BOOTPARAM_ADDR  		0x0004000
#define AM5120_BOOTPARAM_SIZE  		0x0002000

#define AM5120_LINUX_NV_ADDR 		0x00050000
#define AM5120_LINUX_NV_SIZE 		0x00020000

#define AM5120_VMLINUZ_ADDR 		0x00070000
#define AM5120_VMLINUZ_SIZE         	0x00290000

#define AM5120_LINUX_NV2_ADDR 		0x00300000
#define AM5120_LINUX_NV2_SIZE 		0x00060000

struct map_info nor_map = {
		.name =		"AM5120 NOR flash device",
		.size =		FLASH_SIZE,
		.buswidth =	2,				/* 16 bit */
};

struct mtd_partition nor_parts[] = {
	{
		.name =		"BoardCfg",
		.offset =	AM5120_BOOTPARAM_ADDR,
		.size =		AM5120_BOOTPARAM_SIZE
	},
	{
		.name =		"Linux NVFS",
		.offset =	AM5120_LINUX_NV_ADDR,
		.size =		AM5120_LINUX_NV_SIZE
	},
	{	
		.name =		"Kernel Image",
		.offset =	AM5120_VMLINUZ_ADDR,
		.size =		AM5120_VMLINUZ_SIZE
	},
	{
		.name =		"Linux NVFS2",
		.offset =	AM5120_LINUX_NV2_ADDR,
		.size =		AM5120_LINUX_NV2_SIZE
	}
};

#define PARTITION_COUNT (sizeof(nor_parts)/sizeof(struct mtd_partition))

#endif /* __NOR_MAP_H__ */
